# Uses of Interface
net.sourceforge.jiu.ops.ProgressListener

Packages that use ProgressListener
Package
Description
net.sourceforge.jiu.apps
net.sourceforge.jiu.gui.awt
net.sourceforge.jiu.ops

## Uses of ProgressListener in net.sourceforge.jiu.apps

Methods in net.sourceforge.jiu.apps with parameters of type ProgressListener
Modifier and Type
Method
Description
`void`
EditorState.`addProgressListener(ProgressListener pl)`
Adds the argument progress listener to the internal list of progress listeners to be notified by progress updates.

## Uses of ProgressListener in net.sourceforge.jiu.gui.awt

Classes in net.sourceforge.jiu.gui.awt that implement ProgressListener
Modifier and Type
Class
Description
`class`
`JiuAwtFrame`
The frame class for the AWT demo program `jiuawt`.

## Uses of ProgressListener in net.sourceforge.jiu.ops

Methods in net.sourceforge.jiu.ops with parameters of type ProgressListener
Modifier and Type
Method
Description
`void`
Operation.`addProgressListener(ProgressListener progressListener)`
Adds the argument progress listener to the internal list of progress listeners.
`void`
Operation.`removeProgressListener(ProgressListener progressListener)`
Removes the argument progress listener from the internal list of progress listeners.